Frictional Games Forum
Help! HPL2 crashes on mac! - Printable Version

+- Frictional Games Forum (https://www.frictionalgames.com/forum)
+-- Forum: Technical Support (https://www.frictionalgames.com/forum/forum-57.html)
+--- Forum: Technical Support - Amnesia: The Dark Descent (https://www.frictionalgames.com/forum/forum-31.html)
+---- Forum: Mac - ATDD (https://www.frictionalgames.com/forum/forum-33.html)
+---- Thread: Help! HPL2 crashes on mac! (/thread-27603.html)



Help! HPL2 crashes on mac! - Horrorable - 12-10-2014

Hello brilliant people of frictional forums!

I hope you can help me with a little (OK OK BIG) problem I've been having.
It's a bit hard for me to include very much information because this happened a long time ago but I'll do my best.

Problem:
[Image: RDMAw1X.png]

Previously the editors just crashed when I tried to open them. If I remember correctly this has been the case ever since the model viewer crashed as I was loading a model, but not sure about that bit. After that I thought maybe I just needed to update my OS, after that I've been getting the error in the above picture. Everything still works on my windows. I've tried reinstalling hpl2 and amnesia multiple times, I also tried deleting the hpl2 bit in the application support and reinstalling but no luck.

I figure it either one of two things.
A: This would be sad, but is HPL2 just not set up for the new OS? This is on version 10.9.5. If this is the case is there anyway to run HPL2 on the new OS without having to buy Windows to run in wine or boot camp or w/e?
B: Something, somewhere is corrupted and I just haven't deleted/reinstalled it yet.

EDIT: (Silly me, here is the report for those smarter than I Wink )
Process: LevelEditor [2618]
Path: /Users/USER/Library/Application Support/Steam/*/LevelEditor.app/Contents/MacOS/LevelEditor
Identifier: com.frictionalgames.HPL2.LevelEditor
Version: ???
Code Type: X86 (Native)
Parent Process: launchd [149]
Responsible: LevelEditor [2618]
User ID: 501

Date/Time: 2014-12-10 15:05:10.961 -0500
OS Version: Mac OS X 10.9.5 (13F34)
Report Version: 11
Anonymous UUID: 0575C12B-CC36-E08A-CE5B-EDBA1DBDFC87

Sleep/Wake UUID: 152EB581-0EF3-44A5-8CBD-488B2353D462

Crashed Thread: 0

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: @executable_path/../Frameworks/ALUT.framework/Versions/A/ALUT
Referenced from: /Users/USER/Library/Application Support/Steam/*/LevelEditor.app/Contents/MacOS/LevelEditor
Reason: image not found

Binary Images:
0x8fede000 - 0x8ff10417 dyld (239.4) <0F2176BD-4239-3506-BA41-3B885269520E> /usr/lib/dyld
0x9649c000 - 0x9649cfff com.apple.Carbon (154 - 157) <6C29C608-97B4-306E-AEC5-6F48EDF7EFB5> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

Model: MacBookAir6,1, BootROM MBA61.0099.B00, 2 processors, Intel Core i5, 1.3 GHz, 4 GB, SMC 2.12f133
Graphics: Intel HD Graphics 5000, Intel HD Graphics 5000, Built-In
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1600 MHz, 0x02FE, 0x45424A3230554638454455302D474E2D4620
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1600 MHz, 0x02FE, 0x45424A3230554638454455302D474E2D4620
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x117), Broadcom BCM43xx 1.0 (6.30.223.154.65)
Bluetooth: Version 4.2.7f3 14616, 3 services, 23 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SD0128F, 121.33 GB
USB Device: Logitech USB Headset H540
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
Thunderbolt Bus: MacBook Air, Apple Inc., 23.6

Thanks to anyone that tries to help!


RE: Help! HPL2 crashes on mac! - Mudbill - 12-10-2014

Yeah, this is a common problem, and has been ever since Mavericks was released. HPL2 does not really work properly on anything above 10.8. Maybe this will be fixed soon, but I wouldn't put my hopes up. I reverted the update and have been using 10.8.5 ever since I found out 10.9 wasn't working with it.


RE: Help! HPL2 crashes on mac! - Horrorable - 12-10-2014

(12-10-2014, 09:22 PM)Mudbill Wrote: Yeah, this is a common problem, and has been ever since Mavericks was released. HPL2 does not really work properly on anything above 10.8. Maybe this will be fixed soon, but I wouldn't put my hopes up. I reverted the update and have been using 10.8.5 ever since I found out 10.9 wasn't working with it.

I wasn't aware you could revert after you updated mac OS's.
Maybe I'll try that then.


RE: Help! HPL2 crashes on mac! - Mudbill - 12-10-2014

It's not a simple process. You'll have to completely format your hard drive, meaning all files will be lost unless you back them up. Took me 2 days to get back in business.


RE: Help! HPL2 crashes on mac! - Horrorable - 12-10-2014

Do you think it's possible that 1.3 will fix this problem when it comes out for mac?


RE: Help! HPL2 crashes on mac! - Mudbill - 12-11-2014

It might. That's what I'm hoping for. I'm pretty sure FG is aware of this issue, but I don't know if they're aware of a solution.


RE: Help! HPL2 crashes on mac! - Traggey - 12-11-2014

Moved to tech support.